Subject: Distributing New Cores, Object Numbers

From: Forrest Aldrich <[email-masked]>
Date: Fri, 5 Nov 1993 17:14:38 -0800

Steven Owens writes:
| 
| In looking for information about this, I've come across a few
| instances where people are asking for an easier way to update to a new
| core release.  What exactly makes it so hard?  I can guess, but I'm
| wondering if there's more than meets the eye.
[ ... ]

	There is no direct interface to doing this... you must type in
	everything manually.  This is a potentially laborious task that
	few would like to perform.  Including me.  ;)

| If it's simply a matter of dealing with object numbers, I can see how
| it would be awkward to add new objects when they default to numbers
| already in use, but that's relatively simple to resolve (I think).  How
| about simply reserving the first, oh, 3000 object numbers for core use?
[ ... ]

	Well, some issues surround the actual functional changes between
	objects in each CORE release.  I haven't encountered this due
	to my waiting for further developments in this area.  There are also
	issues with SERVER changes that render some things incompatible... etc.

	I'm hoping that someone will invent an ingenious way to allow the
	integration of CORES and SERVERS... it would be nice to have an
	external interface to make forced changes to the CORE... in the
	instance where, say, someone has forgotten a critical password to
	get into Wizard mode (yes, it happend to me!  only because I let
	so much time go by).  I understand Pavel is working on something
	like this. ?

	[ ... ]

	You have a lot of great ideas.  Thanks.

	Forrest
-- 
Forrie Aldrich @ visgraph.UUCP / [email-masked]
                                 [email-masked]
VISION GRAPHICS                  [email-masked]